Skip to main content

Create Workspace Property

Create a custom property for the workspace associated with your API key.


Endpoint

POST https://api.campaignlark.com/v1/workspace/properties

Request Body

FieldTypeRequiredDescription
labelstringrequiredHuman-readable property label (1–64 characters).
merge_tagstringrequiredProperty merge tag (1–96 characters).
valuestringoptionalInitial property value (up to 512 characters).

Sample Request

POST https://api.campaignlark.com/v1/workspace/properties
Content-Type: application/json

{
"label": "Industry",
"merge_tag": "industry",
"value": "Technology"
}

Response

Success — 201 Created

{
"error": null,
"data": {
"id": 12,
"label": "Industry",
"merge_tag": "industry",
"value": "Technology"
}
}

Property Object

FieldTypeDescription
idintegerUnique property ID.
labelstringHuman-readable property label.
merge_tagstringProperty merge tag used in messages.
valuestringCurrent property value.